| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | Properties | Private Member Functions | Private Attributes | List of all members
JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext Class Reference
Collaboration diagram for JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext:
[legend]

## Public Member Functions
void | PrettyPrintCharacter (char curChar, StringBuilder output)
void | AppendCurrentChar ()
void | AppendNewLine ()
void | BuildContextIndents ()
void | EnterObjectScope ()
void | CloseCurrentScope ()
void | EnterArrayScope ()
void | AppendSpace ()
void | ClearStrategies ()
void | AddCharacterStrategy (ICharacterStrategy strategy)

## Public Attributes
int | SpacesPerIndent = 4
bool | IsProcessingVariableAssignment

## Properties
string | Indent`[get]`
bool | IsInArrayScope`[get]`
bool | IsProcessingDoubleQuoteInitiatedString`[get, set]`
bool | IsProcessingSingleQuoteInitiatedString`[get, set]`
bool | IsProcessingString`[get]`
bool | IsStart`[get]`
bool | WasLastCharacterABackSlash`[get]`

## Private Member Functions
void | InitializeIndent ()
void | AppendIndents (int indents)

## Private Attributes
const string | Space = " "
string | _indent = string.Empty
readonly PPScopeState | _scopeState = new PPScopeState()
char | _previousChar
readonly IDictionary< char, ICharacterStrategy > | _strategyCatalog = new Dictionary<char, ICharacterStrategy>()
StringBuilder | _outputBuilder
char | _currentCharacter

## Member Function Documentation

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.InitializeIndent | ( |  | ) |
| inline private

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.AppendIndents | ( | int | indents | ) |
| inline private

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.PrettyPrintCharacter | ( | char | curChar,
|  | StringBuilder | output
| ) |  |
| inline

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.AppendCurrentChar | ( |  | ) |
| inline

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CloseBracketStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CommaStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.SingleQuoteStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CloseSquareBracketStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.DoubleQuoteStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.DefaultCharacterStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenBracketStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.ColonCharacterStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenSquareBracketStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.SkipWhileNotInStringStrategy.ExecutePrintyPrint(), and JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CloseBracketStrategy.PeformNonStringPrint().

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.AppendNewLine | ( |  | ) |
| inline

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.BuildContextIndents | ( |  | ) |
| inline

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CloseSquareBracketStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CommaStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenBracketStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenSquareBracketStrategy.ExecutePrintyPrint(), and JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CloseBracketStrategy.PeformNonStringPrint().

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.EnterObjectScope | ( |  | ) |
| inline

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenBracketStrategy.ExecutePrintyPrint().

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.CloseCurrentScope | ( |  | ) |
| inline

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CloseSquareBracketStrategy.ExecutePrintyPrint(), and JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CloseBracketStrategy.PeformNonStringPrint().

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.EnterArrayScope | ( |  | ) |
| inline

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenSquareBracketStrategy.ExecutePrintyPrint().

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.AppendSpace | ( |  | ) |
| inline

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.ColonCharacterStrategy.ExecutePrintyPrint().

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.ClearStrategies | ( |  | ) |
| inline

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinter.JsonPrettyPrinter().

void JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.AddCharacterStrategy | ( | ICharacterStrategy | strategy | ) |
| inline

References JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.ICharacterStrategy.ForWhichCharacter.

## Member Data Documentation

const string JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.Space = " "
| private

int JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.SpacesPerIndent = 4

Referenced by IG.Lib.JsonFormatter.Format().

string JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext._indent = string.Empty
| private

readonly PPScopeState JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext._scopeState = new PPScopeState()
| private

bool JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.IsProcessingVariableAssignment

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CommaStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.ColonCharacterStrategy.ExecutePrintyPrint(), and JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenBracketStrategy.IsBeginningOfNewLineAndIndentionLevel().

char JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext._previousChar
| private

readonly IDictionary<char, ICharacterStrategy> JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext._strategyCatalog = new Dictionary<char, ICharacterStrategy>()
| private

StringBuilder JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext._outputBuilder
| private

char JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext._currentCharacter
| private

## Property Documentation

string JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.Indent
| get

bool JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.IsInArrayScope
| get

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenBracketStrategy.IsBeginningOfNewLineAndIndentionLevel().

bool JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.IsProcessingDoubleQuoteInitiatedString
| get set

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.DoubleQuoteStrategy.ExecutePrintyPrint(), and JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.SingleQuoteStrategy.ExecutePrintyPrint().

bool JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.IsProcessingSingleQuoteInitiatedString
| get set

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.DoubleQuoteStrategy.ExecutePrintyPrint(), and JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.SingleQuoteStrategy.ExecutePrintyPrint().

bool JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.IsProcessingString
| get

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CloseBracketStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CloseSquareBracketStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.CommaStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenBracketStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenSquareBracketStrategy.ExecutePrintyPrint(), JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.ColonCharacterStrategy.ExecutePrintyPrint(), and JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.SkipWhileNotInStringStrategy.ExecutePrintyPrint().

bool JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.IsStart
| get

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.OpenBracketStrategy.IsBeginningOfNewLineAndIndentionLevel().

bool JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategyContext.WasLastCharacterABackSlash
| get

Referenced by JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.DoubleQuoteStrategy.ExecutePrintyPrint(), and JsonPrettyPrinterPlus.JsonPrettyPrinterInternals.JsonPPStrategies.SingleQuoteStrategy.ExecutePrintyPrint().

The documentation for this class was generated from the following file:

- igbase/data/serialization/json/JsonPrettyPrinterInternals/JsonPPStrategyContext.cs